org.scalatest.prop.Configuration

# MaxDiscarded

#### case class MaxDiscarded (value: Int) extends PropertyCheckConfigParam with Product with Serializable

A `PropertyCheckConfigParam` that specifies the maximum number of discarded property evaluations allowed during property evaluation.

In `GeneratorDrivenPropertyChecks`, a property evaluation is discarded if it throws `UnmetConditionException`, which is produce by `whenever` clause that evaluates to false. For example, consider this ScalaTest property check:

    // forAll defined in GeneratorDrivenPropertyChecks
    forAll { (n: Int) =>
      whenever (n > 0) {
        doubleIt(n) should equal (n * 2)
      }
    }

In the above code, whenever a non-positive `n` is passed, the property function will complete abruptly with `UnmetConditionException`.

Similarly, in `Checkers`, a property evaluation is discarded if the expression to the left of ScalaCheck's `==>` operator is false. Here's an example:

    // forAll defined in Checkers
    forAll { (n: Int) =>
      (n > 0) ==> doubleIt(n) == (n * 2)
    }

For either kind of property check, `MaxDiscarded` indicates the maximum number of discarded evaluations that will be allowed. As soon as one past this number of evaluations indicates it needs to be discarded, the property check will fail.

Linear Supertypes
Serializable, Serializable, Product, Equals, PropertyCheckConfigParam, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MaxDiscarded
2. Serializable
3. Serializable
4. Product
5. Equals
6. PropertyCheckConfigParam
7. AnyRef
8. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MaxDiscarded (value: Int)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     MaxDiscarded → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      MaxDiscarded → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      MaxDiscarded → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def productArity : Int

    Definition Classes
      MaxDiscarded → Product

19. #### def productElement (arg0: Int): Any

    Definition Classes
      MaxDiscarded → Product

20. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

21. #### def productPrefix : String

    Definition Classes
      MaxDiscarded → Product

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      MaxDiscarded → AnyRef → Any

24. #### val value : Int

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PropertyCheckConfigParam

### Inherited from AnyRef

### Inherited from Any